Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageNonMaximumSuppression Class Reference

`#include <vtkImageNonMaximumSuppression.h>`

Inheritance diagram for vtkImageNonMaximumSuppression:

[legend]
Collaboration diagram for vtkImageNonMaximumSuppression:

[legend]
List of all members.

## Detailed Description

Performs non-maximum suppression.

Date:
  2002/01/22 15:33:10

Revision:
  1.35

vtkImageNonMaximumSuppression Sets to zero any pixel that is not a peak. If a pixel has a neighbor along the vector that has larger magnitude, the smaller pixel is set to zero. The filter takes two inputs: a magnitude and a vector. Output is magnitude information and is always in floats. Typically this filter is used with vtkImageGradient and vtkImageGradientMagnitude as inputs.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (57%)
  - Martin, Ken (32%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageNonMaximumSuppression.h)`
  - .`cxx` (`/Imaging/vtkImageNonMaximumSuppression.cxx)`

Tests:
  vtkImageNonMaximumSuppression (Tests)

Definition at line 52 of file vtkImageNonMaximumSuppression.h.

## Public Types
typedef vtkImageTwoInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetMagnitudeInput (vtkImageData *input)
void | SetVectorInput (vtkImageData *input)
virtual void | SetHandleBoundaries (int)
virtual int | GetHandleBoundaries ()
virtual void | HandleBoundariesOn ()
virtual void | HandleBoundariesOff ()
virtual void | SetDimensionality (int)
virtual int | GetDimensionality ()
## Static Public Methods
vtkImageNonMaximumSuppression * | New ()
int | IsTypeOf (const char *type)
vtkImageNonMaximumSuppression * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageNonMaximumSuppression ()
| ~vtkImageNonMaximumSuppression ()
void | ExecuteInformation (vtkImageData **inDatas, vtkImageData *outData)
virtual void | ComputeInputUpdateExtent (int inExt[6], int outExt[6], int whichInput)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | HandleBoundaries
int | Dimensionality

## Member Typedef Documentation

typedef vtkImageTwoInputFilter vtkImageNonMaximumSuppression::Superclass

| Reimplemented from vtkImageTwoInputFilter. Definition at line 56 of file vtkImageNonMaximumSuppression.h.

## Constructor & Destructor Documentation

vtkImageNonMaximumSuppression::vtkImageNonMaximumSuppression | ( |  | ) | `[protected]`

vtkImageNonMaximumSuppression::~vtkImageNonMaximumSuppression | ( |  | ) | `[inline, protected]`

| Definition at line 82 of file vtkImageNonMaximumSuppression.h.

## Member Function Documentation

vtkImageNonMaximumSuppression* vtkImageNonMaximumSuppression::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageNonMaximumSuppression::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageTwoInputFilter.

int vtkImageNonMaximumSuppression::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

virtual int vtkImageNonMaximumSuppression::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

vtkImageNonMaximumSuppression* vtkImageNonMaximumSuppression::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageTwoInputFilter.

void vtkImageNonMaximumSuppression::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageTwoInputFilter.

void vtkImageNonMaximumSuppression::SetMagnitudeInput | ( | vtkImageData * | input | ) | `[inline]`

| Set the magnitude and vector inputs. Definition at line 61 of file vtkImageNonMaximumSuppression.h. References vtkImageTwoInputFilter::SetInput1().

void vtkImageNonMaximumSuppression::SetVectorInput | ( | vtkImageData * | input | ) | `[inline]`

| Set the magnitude and vector inputs. Definition at line 62 of file vtkImageNonMaximumSuppression.h. References vtkImageTwoInputFilter::SetInput2().

virtual void vtkImageNonMaximumSuppression::SetHandleBoundaries | ( | int |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual int vtkImageNonMaximumSuppression::GetHandleBoundaries | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual void vtkImageNonMaximumSuppression::HandleBoundariesOn | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual void vtkImageNonMaximumSuppression::HandleBoundariesOff | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual void vtkImageNonMaximumSuppression::SetDimensionality | ( | int |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices or a 3D volume)

virtual int vtkImageNonMaximumSuppression::GetDimensionality | ( |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices or a 3D volume)

void vtkImageNonMaximumSuppression::ExecuteInformation | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

virtual void vtkImageNonMaximumSuppression::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6],
|  | int | whichInput
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageNonMaximumSuppression::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 90 of file vtkImageNonMaximumSuppression.h. References vtkImageMultipleInputFilter::ExecuteInformation().

void vtkImageNonMaximumSuppression::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

## Member Data Documentation

int vtkImageNonMaximumSuppression::HandleBoundaries`[protected]`

| Definition at line 84 of file vtkImageNonMaximumSuppression.h.

int vtkImageNonMaximumSuppression::Dimensionality`[protected]`

| Definition at line 85 of file vtkImageNonMaximumSuppression.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageNonMaximumSuppression.h